| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Parser
Parser.XML
Parser.XML.Tree
Parser.XML.Tree.VirtualNode

# Method Parser.XML.Tree.VirtualNode()->get_elements()

Method get_elements

  `array(AbstractNode) get_elements(string|void name, int(0..1)|void full)`

Description

  Returns all element children to this node.

Parameter `name`

  If provided, only elements with that name is returned.

Parameter `full`

  If specified, name matching will be done against the full name.

Returns

  Returns an array with matching nodes.